Bug 63644 - RHN page does not show glibc/nscd updates but up2date --nox -l on server does
RHN page does not show glibc/nscd updates but up2date --nox -l on server does
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
Fanny Augustin
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-16 14:45 EDT by Jason Corley
Modified: 2007-04-18 12:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-16 16:13:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Corley 2002-04-16 14:45:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
I've logged into my RHN account (username togethersoft) and I see a system list
that shows all (ok almost all) of my systems as being completely up to date
(green check marks and two zeros next to the hostname).  I log in to my servers
and do the following:

[root@usinfwwwl01 root]# up2date --nox -l

Retrieving list of all available packages...
########################################

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Name                                    Version        Rel
----------------------------------------------------------
glibc                                   2.2.4          24
glibc-common                            2.2.4          24
glibc-devel                             2.2.4          24
nscd                                    2.2.4          24

[root@usinfwwwl01 root]#

So why doesn't my RHN subscription show these required updates?  I got the
notification email, I logged into RHN and only a couple of systems had the
errata listed as required.  Just for verification I ran up2date --nox -p on all
the systems and still the RHN page doesn't change.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Log in as my RHN user and view my server list.
2.  Run up2date --nox -l on a server of mine that is listed as being completely
up to date.
3.  Compare differences.
	

Actual Results:  There was a difference between what the up2date application and
the RHN page said needed to be done.

Expected Results:  RHN site and up2date should not differ.

Additional info:

If this had been a security errata I would be very peeved.  As it stands I'm
just confused as I've come to rely pretty heavily on RHN.
Comment 1 Chip Turner 2002-04-16 14:53:43 EDT
Odd.  Can you give me a server_id of one of the servers that is having trouble?
 To get it, log into the machine and run "grep ID- /etc/sysconfig/rhn/systemid"
Comment 2 Chip Turner 2002-04-16 14:54:12 EDT
also, the output of "rpm -qa" from that machine
Comment 3 Jason Corley 2002-04-16 15:10:10 EDT
No problem.  Here's the RPM query (there are some custom RPMS on the system):

[root@usinfwwwl01 root]# rpm -qa | sort -u
4Suite-0.11-2
a2ps-4.13b-15
alchemist-1.0.18-1
anacron-2.3-17
apache-1.3.22-2
apache-devel-1.3.22-2
arpwatch-2.1a11-10.7x
ash-0.3.7-2
asp2php-0.75.17-1
aspell-0.33.7-1
at-3.1.8-23
authconfig-4.1.19-1
autoconf-2.13-14
autofs-3.1.7-21
automake-1.4p5-2
basesystem-7.0-2
bash-2.05-8
bc-1.06-5
bcm5820-1.17-6
bdflush-1.5-17
bind-utils-9.1.3-4
binutils-2.11.90.0.8-12
bison-1.28-7
byacc-1.9-19
bzip2-1.0.1-4
bzip2-devel-1.0.1-4
bzip2-libs-1.0.1-4
cdecl-2.5-20
chkconfig-1.2.24-1
chkfontpath-1.9.5-2
cipe-1.4.5-6
compat-libstdc++-6.2-2.9.0.16
console-tools-19990829-36
cpio-2.4.2-23
cpp-2.96-98
cracklib-2.7-12
cracklib-dicts-2.7-12
cronolog-1.6.2-1
crontabs-1.10-1
ctags-5.0.1-2
curl-7.8-1
curl-devel-7.8-1
cvs-1.11.1p1-7
cvsup-16.1e-3.static
cyrus-sasl-1.5.24-23
cyrus-sasl-devel-1.5.24-23
cyrus-sasl-md5-1.5.24-23
cyrus-sasl-plain-1.5.24-23
db1-1.85-7
db1-devel-1.85-7
db2-2.4.14-7
db3-3.2.9-4
db3-devel-3.2.9-4
db3-utils-3.2.9-4
dev-3.2-5
dev86-0.15.5-1
dhcpcd-1.3.18pl8-13
diffstat-1.28-1
diffutils-2.7.2-2
docbook-dtd30-sgml-1.0-10
docbook-dtd31-sgml-1.0-10
docbook-dtd40-sgml-1.0-11
docbook-dtd41-sgml-1.0-10
docbook-style-dsssl-1.64-3
docbook-utils-0.6.9-2
dosfstools-2.7-1
dump-0.4b25-1.72.0
e2fsprogs-1.26-1.72
e2fsprogs-devel-1.26-1.72
ed-0.2-21
efax-0.9-9
eject-2.0.9-2
emacs-20.7-41
emacs-nox-20.7-41
expat-1.95.1-7
expat-devel-1.95.1-7
fetchmail-5.9.0-1
file-3.35-2
filesystem-2.1.6-2
fileutils-4.1-4
findutils-4.1.7-1
finger-0.17-9
flex-2.5.4a-15
foomatic-1.1-0.20011218.3
fortune-mod-1.0-16
freetype-2.0.3-7
ftp-0.17-12
gawk-3.1.0-3
gcc-2.96-98
gcc-c++-2.96-98
gcc-g77-2.96-98
gd-1.8.4-4
gdb-5.1-1
gdbm-1.8.0-10
gdbm-devel-1.8.0-10
gd-devel-1.8.4-4
gdk-pixbuf-0.11.0-8
gettext-0.10.38-7
ghostscript-6.51-16
ghostscript-fonts-5.50-3
glib-1.2.10-5
glibc-2.2.4-19.3
glibc-common-2.2.4-19.3
glibc-devel-2.2.4-19.3
gmp-3.1.1-4
gmp-devel-3.1.1-4
gnupg-1.0.6-3
gpm-1.19.3-20
gpm-devel-1.19.3-20
grep-2.4.2-7
groff-1.17.2-7.0.2
groff-perl-1.17.2-7.0.2
grub-0.90-11
gtk+-1.2.10-11
gzip-1.3-15
hdparm-4.1-2
hotplug-2001_04_24-11
indent-2.2.6-2
indexhtml-7.2-1
info-4.0b-3
initscripts-6.43-1
ipchains-1.3.10-10
iproute-2.2.4-14
iptables-1.2.4-2
iputils-20001110-6
jdk-1.3.1_02-fcs
kbdconfig-1.9.14-1
kernel-2.4.9-31
kernel-headers-2.4.9-31
kernel-smp-2.4.9-31
kernel-source-2.4.9-31
krb5-devel-1.2.2-13
krb5-libs-1.2.2-13
krbafs-1.0.9-2
krbafs-devel-1.0.9-2
ksymoops-2.4.1-1
kudzu-0.99.23-1
kudzu-devel-0.99.23-1
lclint-2.5q-4
less-358-21
lesstif-0.92.32-6
libcap-1.10-5
libjpeg-6b-16
libjpeg-devel-6b-16
libpng-1.0.12-2
libpng-devel-1.0.12-2
libstdc++-2.96-98
libstdc++-devel-2.96-98
libtermcap-2.0.8-28
libtermcap-devel-2.0.8-28
libtiff-3.5.5-13
libtiff-devel-3.5.5-13
libtool-1.4-8
libtool-libs-1.4-8
libxml2-2.4.10-0.7x.2
libxslt-1.0.7-2
lilo-21.4.4-14
links-0.96-2
lockdev-1.0.0-14
lockdev-devel-1.0.0-14
logrotate-3.5.9-1
logwatch-2.6-1
lokkit-0.50-6
losetup-2.11g-5
LPRng-3.7.4-28
lsof-4.51-2
ltrace-0.3.10-7
lv-4.49.4-3
m4-1.4.1-5
mailcap-2.1.6-1
mailx-8.1.1-22
make-3.79.1-8
MAKEDEV-3.2-5
man-1.5i2-6
man-pages-1.39-2
Mesa-3.4.2-10
metamail-2.7-28
mingetty-0.9.4-18
minicom-1.83.1-16
mkbootdisk-1.4.2-3
mkinitrd-3.2.6-1
mktemp-1.5-11
mkxauth-1.7-16
mm-1.1.3-1
mm-devel-1.1.3-1
mod_dav-1.0.2-6
mod_perl-1.26-2
mod_ssl-2.8.5-4
modutils-2.4.13-0.7.1
mount-2.11g-5
mouseconfig-4.23-1
mpage-2.5.1-7
mtools-3.9.8-2
mt-st-0.6-1
mutt-1.2.5.1-1
ncftp-3.0.3-6
ncompress-4.2.4-24
ncurses-5.2-12
ncurses-devel-5.2-12
netconfig-0.8.11-7
net-tools-1.60-3
newt-0.50.33-1
newt-devel-0.50.33-1
nfs-utils-0.3.1-13.7.2.1
njamd-0.8.1-2
nkf-1.92-6
nmap-2.54BETA22-3
nmh-1.0.4-9
nscd-2.2.4-19.3
nss_ldap-172-2
ntp-4.1.0-4
ntsysv-1.2.24-1
Omni-0.5.0-4
Omni-foomatic-0.5.0-4
openjade-1.3-17
openldap-2.0.21-1
openldap-clients-2.0.21-1
openldap-devel-2.0.21-1
openssh-3.1p1-2
openssh-clients-3.1p1-2
openssh-server-3.1p1-2
openssl-0.9.6b-8
openssl-devel-0.9.6b-8
pam-0.75-19
pam-devel-0.75-19
pam_krb5-1.46-1
parted-1.4.16-8
passwd-0.64.1-7
patch-2.5.4-10
pax-1.5-4
pciutils-2.1.8-23
pciutils-devel-2.1.8-23
pcre-3.4-2
pcre-devel-3.4-2
perl-5.6.1-26.72.3
perl-CGI-2.752-26.72.3
perl-CPAN-1.59_54-26.72.3
perl-DateManip-5.39-5
perl-DB_File-1.75-26.72.3
perl-Digest-MD5-2.13-1
perl-HTML-Parser-3.25-2
perl-HTML-Tagset-3.03-3
perl-libnet-1.0703-6
perl-libwww-perl-5.53-3
perl-libxml-enno-1.02-5
perl-libxml-perl-0.07-5
perl-MIME-Base64-2.12-6
perl-NDBM_File-1.75-26.72.3
perl-Parse-Yapp-1.04-3
perl-SGMLSpm-1.03ii-4
perl-Storable-0.6.11-6
perl-URI-1.12-5
perl-XML-Dumper-0.4-5
perl-XML-Encoding-1.01-2
perl-XML-Grove-0.46alpha-3
perl-XML-Parser-2.30-7
perl-XML-Twig-2.02-2
php-4.0.6-15
php-imap-4.0.6-15
php-ldap-4.0.6-15
pidentd-3.0.14-1
pinfo-0.6.1-2
pmake-1.45-4
pnm2ppa-1.04-2
popt-1.6.4-7x
portmap-4.0-38
ppp-2.4.1-2
printconf-0.3.61-3
procinfo-18-2
procmail-3.21-1
procps-2.0.7-11
psmisc-20.1-2
pspell-0.12.2-3
psutils-1.17-13
pwdb-0.61.1-3
python-1.5.2-35
python-devel-1.5.2-35
python-popt-0.8.8-7.x.2
python-xmlrpc-1.5.1-7.x.3
PyXML-0.6.5-4
quota-3.01pre9-3
radvd-0.6.2pl4-1
raidtools-0.90-24
rcs-5.7-15
rdate-1.0-8
rdist-6.1.5-16
readline-4.2-2
readline-devel-4.2-2
redhat-logos-1.1.3-1
redhat-release-7.2-1
reiserfs-utils-3.x.0j-2
rhn_register-2.7.9-7.x.2
rmt-0.4b25-1.72.0
rootfiles-7.2-1
rpm-4.0.4-7x
rpm-build-4.0.4-7x
rpm-devel-4.0.4-7x
rpm-python-4.0.4-7x
rp-pppoe-3.2-3
rsh-0.17-5
rsync-2.4.6-13
rusers-0.17-12
rwho-0.17-11
screen-3.9.9-3
sed-3.02-10
sendmail-8.11.6-3
sendmail-cf-8.11.6-3
setserial-2.17-4
setup-2.5.7-1
setuptool-1.8-2
sgml-common-0.5-7
sgml-tools-1.0.9-12
shadow-utils-20000902-4
shapecfg-2.2.12-7
sharutils-4.2.1-8
sh-utils-2.0.11-5
slang-1.4.4-4
slang-devel-1.4.4-4
slocate-2.6-1
soap-2.2-2_TS
stat-2.5-2
statserial-1.1-23
strace-4.3-2
stunnel-3.22-1
sudo-1.6.4-0.7x.2
swig-1.1p5-10
switchdesk-3.9.7-1
symlinks-1.2-13
sysklogd-1.4.1-4
syslinux-1.52-2
sysstat-4.0.1-2
SysVinit-2.78-19
talk-0.17-12
tamago-4.0.6-5
tar-1.13.19-6
tcl-8.3.3-65
tcpdump-3.6.2-10.7x
tcp_wrappers-7.6-19
tcsh-6.10-6
telnet-0.17-20
telnet-server-0.17-20
termcap-11.0.1-10
texinfo-4.0b-3
textutils-2.0.14-2
time-1.7-14
timeconfig-3.2.2-1
tmpwatch-2.8.1-1
tomcat3-3.3a-2
tomcat-mod-3.3-1
traceroute-1.4a12-1
tree-1.2-13
ttfonts-1.0-4
ttfonts-ja-1.0-7
ucd-snmp-4.2.3-1.7.2.3
ucd-snmp-utils-4.2.3-1.7.2.3
units-1.55-10
unzip-5.42-1
up2date-2.7.61-7.x.2
urw-fonts-2.0-12
usermode-1.46-1
utempter-0.5.2-6
util-linux-2.11f-17
VFlib2-2.25.1-20
VFlib2-devel-2.25.1-20
vim-common-6.0-7.13
vim-minimal-6.0-7.13
vixie-cron-3.0.1-63
watanabe-vf-1.0-5
wget-1.7-3
which-2.12-3
whois-1.0.9-1
words-2-17
Xaw3d-1.5-10
Xconfigurator-4.9.39-2
xdelta-1.1.1-11
xerces-j-1.4.4-2
XFree86-100dpi-fonts-4.1.0-15
XFree86-4.1.0-15
XFree86-75dpi-fonts-4.1.0-15
XFree86-ISO8859-15-100dpi-fonts-4.1.0-15
XFree86-ISO8859-15-75dpi-fonts-4.1.0-15
XFree86-libs-4.1.0-15
XFree86-tools-4.1.0-15
XFree86-twm-4.1.0-15
XFree86-xdm-4.1.0-15
XFree86-xfs-4.1.0-15
xinetd-2.3.3-1
xinitrc-3.20-1
xloadimage-4.1-21
zlib-1.1.3-25.7
zlib-devel-1.1.3-25.7
[root@usinfwwwl01 root]#

And here's six system ID's with all the same packages (all part of a web cluster
built via kickstart) that exhibit the behavior I'm describing:

usinfwwwl01.togethersoft.net
ID-1000658545
usinfwwwl02.togethersoft.net
ID-1000736382
usinfwwwl05.togethersoft.net
ID-1000658018
usinfwwwl06.togethersoft.net
ID-1000658029
usinfwwwl07.togethersoft.net
ID-1000666755
usinfwwwl08.togethersoft.net
ID-1000678639

Comment 4 Jason Corley 2002-04-16 15:31:26 EDT
Sorry usinfwwwl02 (ID-1000736382) should not be exhibiting the problem as it was
recently rebuilt.
Comment 5 Chip Turner 2002-04-16 15:58:57 EDT
This problem should now be resolved; a process that updates the relevant tables
on our side didn't run and a small number of users were left without the updates
showing on the website.  It should now be correct.  Please verify?
Comment 6 Jason Corley 2002-04-16 16:13:13 EDT
Thanks, the problem has indeed been resolved.  Are there any checks that can be
done to prevent this from occurring in the future (possibly with more serious
errata) or is this just a whoops that may come up from time to time?
Comment 7 Chip Turner 2002-04-16 16:28:34 EDT
This hopefully was a one-time problem, though we're in the process of making it
less likely in the future.

Note You need to log in before you can comment on or make changes to this bug.